/*
 * query.cpp
 *
 *  Created on: 2011/02/21
 *      Author: shu
 */

#include "query.h"
#include "aligner_parameters.h"

using namespace std;

Query::Query(const AlignerParameters &parameters)
:name_(""), sequence_(0), index_(NULL), ungapped_karlin_parameters_(parameters.GetUnGappedIdealKarlinParameters())
{}

Query::~Query() {
  if (index_ != NULL) {
    delete index_;
    index_ = NULL;
  }
}
